WordPress.org

Ready to get started?Download WordPress

Forums

Page2cat: Category, Pages & Posts Shortcodes
[resolved] New Version not work in my site (17 posts)

  1. staipa
    Member
    Posted 1 year ago #

    New Version not work with my Multisite Worpdress 3.5.1, the last version instead worked fine.

    I give this errors

    Warning: include(__DIR__/lib/core.class.php) [function.include]: failed to open stream: No such file or directory in /web/htdocs/www.scheggedicristallo.com/home/wp-content/plugins/page2cat/page2cat.php on line 39

    Warning: include(__DIR__/lib/core.class.php) [function.include]: failed to open stream: No such file or directory in /web/htdocs/www.scheggedicristallo.com/home/wp-content/plugins/page2cat/page2cat.php on line 39

    Warning: include() [function.include]: Failed opening '__DIR__/lib/core.class.php' for inclusion (include_path='.:/php5/lib/php/') in /web/htdocs/www.scheggedicristallo.com/home/wp-content/plugins/page2cat/page2cat.php on line 39

    Warning: include(__DIR__/lib/admin.class.php) [function.include]: failed to open stream: No such file or directory in /web/htdocs/www.scheggedicristallo.com/home/wp-content/plugins/page2cat/page2cat.php on line 40

    Warning: include(__DIR__/lib/admin.class.php) [function.include]: failed to open stream: No such file or directory in /web/htdocs/www.scheggedicristallo.com/home/wp-content/plugins/page2cat/page2cat.php on line 40

    Warning: include() [function.include]: Failed opening '__DIR__/lib/admin.class.php' for inclusion (include_path='.:/php5/lib/php/') in /web/htdocs/www.scheggedicristallo.com/home/wp-content/plugins/page2cat/page2cat.php on line 40

    Warning: include(__DIR__/lib/shortcodes.class.php) [function.include]: failed to open stream: No such file or directory in /web/htdocs/www.scheggedicristallo.com/home/wp-content/plugins/page2cat/page2cat.php on line 41

    Warning: include(__DIR__/lib/shortcodes.class.php) [function.include]: failed to open stream: No such file or directory in /web/htdocs/www.scheggedicristallo.com/home/wp-content/plugins/page2cat/page2cat.php on line 41

    Warning: include() [function.include]: Failed opening '__DIR__/lib/shortcodes.class.php' for inclusion (include_path='.:/php5/lib/php/') in /web/htdocs/www.scheggedicristallo.com/home/wp-content/plugins/page2cat/page2cat.php on line 41
    Page2cat requires WordPress 3.5 or newer.

    http://wordpress.org/extend/plugins/page2cat/

  2. swergroup
    Member
    Plugin Author

    Posted 1 year ago #

    before all you shoud edit your text and strip out your webserver path from logs posted here, for security reasons.

    apart from that, plugins works on multisites both on our local PCs and on the build server. The plugins requires WP 3.5 at least, as it says at the end of your log: either your WP is outdated or the upgrade did miss some file (but they're in the plugin .zip, I've triple checked this one).

    Try re-uploading plugin files or re-adding it from the admin panel.

  3. staipa
    Member
    Posted 1 year ago #

    My version as ai wrote is 3.5.1.
    I have just tryed to delete, an re donwload plugin but it not work

  4. staipa
    Member
    Posted 1 year ago #

    I have the same messages in ALL my WordPress 3.5.1 installations. Multisite and not.

  5. swergroup
    Member
    Plugin Author

    Posted 1 year ago #

    We're sorry, but we have tested again the plugin on multisite WP and the plugin still does not have any issue, so it's likely something broken or non-standard in your multisite or in some other plugin.

    Please remove every plugin file, triple check folder permissions, deactivate every other plugin and then re-upload and reactivate this one. Our code is working and we tested it on many different installations, both local and online, so is likely to be a different kind of issue.

  6. swergroup
    Member
    Plugin Author

    Posted 1 year ago #

    Finally: found a bug in our testing setup, and a mismatch in the plugin as direct consequence. Sorry for that.

    Please download the master version (3.2.2) from https://github.com/swergroup/category-pages-shortcodes (zip file) and test it, it should activate properly. We're going to release it properly later today.

  7. Adi Mindruta
    Member
    Posted 1 year ago #

    I have the same problem. I replaced the folder plugins/page2cat with the one in the ZIP files. The problem is the same.

  8. swergroup
    Member
    Plugin Author

    Posted 1 year ago #

    Please delete the folder and reinstall from the WP admin: version 3.2.2 from wordpress.org repository should work.

  9. annihilation
    Member
    Posted 1 year ago #

    Same problem with the latest 3.2.2 version

  10. staipa
    Member
    Posted 1 year ago #

    Same problem also for me.

  11. annihilation
    Member
    Posted 1 year ago #

    The problem was not solved with the latest update. Waiting for it to be fixed!

  12. swergroup
    Member
    Plugin Author

    Posted 1 year ago #

    We're working on it.

  13. swergroup
    Member
    Plugin Author

    Posted 1 year ago #

    Fixing some more things, new release in 6 hours time (maybe less).

    Please DO NOT use github releases if you don't know how to debug WP code. If you're willing to do anyway, please triple check that the plugin folder is called 'page2cat' (github zips will change that).

    Please (#2) note that 1) this is an open source plugin, none of us is paid to work on it and 2) our timezone is GMT+1 while many of you are on different timezones. Those things combined doesn't help a lot, be patient :)

  14. staipa
    Member
    Posted 1 year ago #

    Also I am in GMT +1 but unfortunately I have at work I have FTP ports blocked...
    Then I can only wordpress use automatic update in office time :(

  15. swergroup
    Member
    Plugin Author

    Posted 1 year ago #

    @staipa: a great part of this current error/bug was due to our internal repository for automatic update: we were setting up automatic update for beta testers but something went wrong.

    The other issue is still something we can't understand and relates to unit testing: as you can see here our build server reports no error at all, even when it should fail installation or activation (the same fact builds reports OK on WP 3.4.2 is unlikely, given that it CAN'T work with 3.4.2). This testing issue led us to two consecutive broken release, and this is really enough.

    We're now testing and deploying manually today, as we need new tools and new deploy process: I can confirm we're going to release again later today.

  16. staipa
    Member
    Posted 1 year ago #

    I am no longer receiving any errors. I think it's fine.
    Thanks for support.

  17. annihilation
    Member
    Posted 1 year ago #

    I can now confirm that Version 3.3.1 is activated without any problem.
    Thank you @swergroup

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.